//
//  CPPreferencePaneController.h
//  CPCore
//
//  Created by Brad Miller on 2/12/06.
//  Copyright 2006 CynicalPeak. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define PANE_NAME_KEY @"paneName"
#define ICON_PATH_KEY @"iconPath"
#define TOOL_TIP_KEY @"toolTip"
#define HELP_ANCHOR_KEY @"helpAnchor"

#define ALLOWS_HORIZONTAL_RESIZING_KEY @"allowsHorizontalResizing"
#define ALLOWS_VERTICAL_RESIZING_KEY @"allowsVerticalResizing"

@interface CPPreferencePaneController : NSObject 
{
	id controller;
    
    NSString *nibName;
    NSString *paneName;    
    NSString *iconPath;
    NSString *toolTip; 
    
    NSImage *paneIcon;
	
    BOOL allowsHorizontalResizing;
    BOOL allowsVerticalResizing;
	
    NSString *helpAnchor; 
    
    IBOutlet NSView *prefsView;
}

- (id) initWithNib:(NSString *)nibName dictionary:(NSDictionary *)dictionary controller:(id)controller;

- (void) dealloc;

- (id) controller;

- (void) showWarningAlert:(NSError *) error;
- (IBAction) showHelp:(id) sender;

- (NSView *)paneView;
- (NSString *)paneName;
- (NSImage *)paneIcon;
- (NSString *)paneToolTip;
- (BOOL)allowsHorizontalResizing;
- (BOOL)allowsVerticalResizing;

@end
